@REM --------------------------------------------------------------------------
@REM Sets command line options for WASCE.
@REM
@REM This script is invoked by Apache Geronimo scripts or stand-alone
@REM WASCE sample programs.
@REM --------------------------------------------------------------------------

@REM WASCE_JAVA_HOME_REPLACE is initialized by the installer as WASCE's java home
set WASCE_JAVA_HOME=..\..\..\jdk\jre

@REM Ensure Geronimo settings are available when invoked stand-alone.
if not "%GERONIMO_HOME%" == "" goto checkGeronimoBase
set GERONIMO_HOME=%~dp0..
set CURRENT_DIR=%cd%
cd /d %GERONIMO_HOME%
set GERONIMO_HOME=%cd%
cd /d %CURRENT_DIR%

:checkGeronimoBase
if "%GERONIMO_BASE%" == "" set GERONIMO_BASE=%GERONIMO_HOME%
if "%WASCE_HOME%" == "" set WASCE_HOME=%GERONIMO_HOME%


@REM Override JAVA/JRE home variables as required.
@REM First, look for a JVM relative to WASCE_JAVA_HOME.
if "%WASCE_JAVA_HOME%" == "" goto noInstaller
@REM The java env variable that Wasce installer used is set.
if not exist "%WASCE_JAVA_HOME%\bin\java.exe" goto enforceRequired
@REM jdk or jre Found
if exist "%WASCE_JAVA_HOME%\bin\javac.exe" goto isjdk
@REM is jre
set JAVA_HOME=%WASCE_JAVA_HOME%
set JRE_HOME=%WASCE_JAVA_HOME%
goto end

:isjdk
set JAVA_HOME=%WASCE_JAVA_HOME%
set JRE_HOME=%WASCE_JAVA_HOME%\jre
goto end


:noInstaller
@REM Otherwise, look for a private JVM relative to WASCE_HOME.
if not exist "%WASCE_HOME%\_jvm" goto enforceRequired
@REM private Jvm
if not exist "%WASCE_HOME%\_jvm\bin\java.exe" goto enforceRequired
@REM private jdk or jre found
if exist "%WASCE_HOME%\_jvm\bin\javac.exe" goto isprijdk
@REM is private jre
set JAVA_HOME=%WASCE_HOME%\_jvm
set JRE_HOME=%WASCE_HOME%\_jvm
goto end

:isprijdk
set JAVA_HOME=%WASCE_HOME%\_jvm
set JRE_HOME=%WASCE_HOME%\_jvm\jre
goto end
     
     
:enforceRequired
@REM Enforce required environment variables.

@REM Handle spaces in provided paths.  Also strips off quotes.
if defined var JAVA_HOME(
set JAVA_HOME=###%JAVA_HOME%###
set JAVA_HOME=%JAVA_HOME:"###=%
set JAVA_HOME=%JAVA_HOME:###"=%
set JAVA_HOME=%JAVA_HOME:###=%
@)
if defined var JRE_HOME(
set JRE_HOME=###%JRE_HOME%###
set JRE_HOME=%JRE_HOME:"###=%
set JRE_HOME=%JRE_HOME:###"=%
set JRE_HOME=%JRE_HOME:###=%
@)

if "%JAVA_HOME%" == "" if "%JRE_HOME%" == "" goto nojdk
if "%JAVA_HOME%" == "" if not "%JRE_HOME%" == "" set JAVA_HOME=%JRE_HOME%
if not "%JAVA_HOME%" == "" if "%JRE_HOME%" == "" if exist "%JAVA_HOME%\bin\javac.exe" (set JRE_HOME=%JAVA_HOME%\jre) else set JRE_HOME=%JAVA_HOME% 
@REM environment variables set
if exist "%JRE_HOME%\bin\java.exe" goto end
@echo Java environment is not correctly installed.
goto seterr

:nojdk
@echo Neither the JAVA_HOME nor the JRE_HOME environment variable is defined.
@echo At least one of these environment variable is needed to run this program.

:seterr
exit /b 1

:end
exit /b 0
